gnome-remote-desktop (50.0-0ubuntu2) resolute; urgency=medium

  * Cherry-pick patch to fix black screen issues on RDP with NVIDIA
    GPUs. (LP: #2145123)

 -- Charles <charles05@canonical.com>  Fri, 27 Mar 2026 08:52:01 +0000

gnome-remote-desktop (50.0-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * Refresh patches
  * d/p/tests-rdp-Ignore-cursor-updates-when-checking-for-the-scr.patch:
    - Add upstream patch to workaround gnome-remote-desktop/rdp test
      flakiness.

 -- Charles <charles05@canonical.com>  Mon, 16 Mar 2026 08:59:26 +0000

gnome-remote-desktop (50~rc-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * Refresh patches
  * Add gdm3 (<< 50~rc) to Breaks
    - The DBus interface for creating remote displays changed
      incompatibly.
  * Note that gnome-remote-desktop/rdp is flakey with the current
    versions of Mutter.
    - Expecting 50.rc to contain some fixes for that.
    - See: https://gitlab.gnome.org/GNOME/gnome-remote-desktop/-/issues/301

 -- Charles <charles05@canonical.com>  Mon, 02 Mar 2026 15:03:08 +0000

gnome-remote-desktop (50~beta-1) experimental; urgency=medium

  [ Charles ]
  * New upstream release
    - d/control: Update dependencies. libkrb5-dev is a new one
  * d/watch: Update to version 5
  * Refresh patches

  [ Daniel van Vugt ]
  * Soften the dependency on libmutter to Recommends because it's really
    not required until run time, and even then is only a weak assumption
    that a similar enough DBus protocol is supported. Also allow multiple
    versions of libmutter where the protocol is known to not have changed
    (much).

 -- Charles <charles05@canonical.com>  Wed, 04 Feb 2026 23:00:30 +0000

gnome-remote-desktop (49.2-2) unstable; urgency=medium

  * Bump Standards Version to 4.7.3
  * Stop running autopkgtests on i386 (Closes: #1121036)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Jan 2026 12:39:06 -0500

gnome-remote-desktop (49.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Dec 2025 09:59:48 -0500

gnome-remote-desktop (49.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 Oct 2025 08:39:39 -0400

gnome-remote-desktop (49.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 18:36:46 -0400

gnome-remote-desktop (49.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Alessandro Astone ]
  * debian/control: Update Build-Depends minimum versions
  * debian/control: Bump mutter API

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 09:00:30 -0400

gnome-remote-desktop (48.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field

  [ Alessandro Astone ]
  * debian/patches: Drop patch applied upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 08:53:49 -0400

gnome-remote-desktop (48.1-4) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Jul 2025 10:04:35 +0100

gnome-remote-desktop (48.1-3) experimental; urgency=medium

  * Cherry-pick patch to fix gnome-remote-desktop on arm64
    (at least as seen on Raspberry Pi 5) with mesa 25.07 (LP: #2115956)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 08 Jul 2025 16:59:33 +0200

gnome-remote-desktop (48.1-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * postinst: Remove accidental copy of rygel.postinst

 -- Laurent Bigonville <bigon@debian.org>  Tue, 13 May 2025 16:01:58 +0200

gnome-remote-desktop (48.1-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Don't automatically enable the systemd system service (Closes: #1070644)
  * Salsa CI: Disable build tests to avoid inability to run the TPM test

 -- Matthias Geiger <werdahias@debian.org>  Sat, 03 May 2025 14:15:02 +0200

gnome-remote-desktop (48.0-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: libva-dev
  * Remove patch to avoid libva
  * debian/docs: install README.md since it explains how to configure
    gnome-remote-desktop via the command line (LP: #2064647)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Mar 2025 15:34:24 -0400

gnome-remote-desktop (48~alpha-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 05:29:35 -0500

gnome-remote-desktop (48~alpha-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum mutter & pipewire
  * Add Build-Depends: libvulkan-dev, glslc, spirv-tools
  * Add patch to temporarily remove unused libva dependency check

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 10:27:46 -0500

gnome-remote-desktop (47.3-1) unstable; urgency=medium

  * New upstream release
  * debian/salsa-ci.yml: update to current recommended URL

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 16:46:00 -0500

gnome-remote-desktop (47.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 10:52:13 -0500

gnome-remote-desktop (47.0-3) unstable; urgency=medium

  [ Simon McVittie ]
  * Remove unused Lintian override for #1031037, fixed in
    Lintian 2.117.0

  [ Jeremy Bícha ]
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 19:19:09 -0400

gnome-remote-desktop (47.0-1) experimental; urgency=medium

  * New upstream release (LP: #2083260)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 30 Sep 2024 11:09:48 -0400

gnome-remote-desktop (47~rc-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/control: Drop libwinpr2-dev. Not replacing it by libwinpr3-dev
    because that is already pulled with freerdp3-dev, which is already
    a build dependency.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 06 Sep 2024 14:25:11 +0200

gnome-remote-desktop (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Build with mutter 47

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 16:48:18 -0400

gnome-remote-desktop (46.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 16:42:21 -0400

gnome-remote-desktop (46.3-4) unstable; urgency=medium

  * Run upstream tests as autopkgtest (Closes: #1076270)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 01 Aug 2024 17:47:09 -0400

gnome-remote-desktop (46.3-3) unstable; urgency=medium

  * Stop ignoring build test failures except on a few architectures
    where mutter appears to be broken (Closes: #1070463) (LP: #2072768)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Jul 2024 08:22:10 -0400

gnome-remote-desktop (46.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 18:31:14 -0400

gnome-remote-desktop (46.3-1) experimental; urgency=medium

  * New upstream release
  * Fix nocheck build
  * Drop obsolete postinst rules
  * Use custom postinst to fix long delay when first installing 46
    (Closes: #1070119) (LP: #2072596)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 08:21:50 -0400

gnome-remote-desktop (46.2-1) experimental; urgency=medium

  * SECURITY UPDATE: New upstream release (LP: #2066306)
    - CVE-2024-5148 Limit login screen->user session handover access
      to appropriate user. This issue only affected the 46 series.
    - Various security hardening improvements
    - Potential crasher fix
    - Improved disconnection messages
    - Broader client compatibility support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 21 May 2024 16:38:36 -0400

gnome-remote-desktop (46.1-4) experimental; urgency=medium

  * Run dh_installtmpfiles, then dh_installsysfiles, then dh_installtmpfiles

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 06 May 2024 07:15:49 -0400

gnome-remote-desktop (46.1-3) experimental; urgency=medium

  * Ensure that dh_installtmpfiles is run before dh_installsysusers
  * Temporarily ignore build test failures on Debian

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 05 May 2024 19:37:58 -0400

gnome-remote-desktop (46.1-2) experimental; urgency=medium

  * Opt into Salsa CI
  * Simplify running dh_auto_test
  * Run dh_installsysusers & dh_installtmpfiles (Closes: #1070119)
    (LP: #2063333)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 05 May 2024 14:11:47 -0400

gnome-remote-desktop (46.1-1) experimental; urgency=medium

  * New upstream release (LP: #2062076)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Apr 2024 17:52:06 -0400

gnome-remote-desktop (46.0-2) experimental; urgency=medium

  [ Michael Biebl ]
  * Build-depend on systemd-dev instead of systemd (Closes: #1060499)

  [ Jeremy Bícha ]
  * Add changelog from 44.2-8

  [ Marco Trevisan (Treviño) ]
  * debian/patches/fdkaac: Do not force codecs once negotiation took place.
    We forced a different codec when peers should have already decided them
    based on the ones that the two parties support.
    Drop this code as it may lead to g-r-d crashes and potential security
    issues as suggested by Pascal Nowack (upstream maintainer).
    Plus revert the previous previous upload change since it was stoping the
    said nogtiation to happen.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Apr 2024 04:38:26 +0200

gnome-remote-desktop (46.0-1) experimental; urgency=medium

  * New upstream release
  * Switch from freerdp2 to freerdp3
  * Build with mutter 46
  * Bump minimum glib & libei
  * Add Build-Depends: libdbus-1-dev, libopus-dev, libpolkit-gobject-1-dev,
    libsystemd-dev
  * Add patch to keep fdkaac optional since fdk-aac-free is still in universe

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 16:29:53 -0400

gnome-remote-desktop (45.1-3) experimental; urgency=medium

  * Team upload
  * Merge packaging from unstable
    - Stop marking libgudev-1.0-dev as <!nocheck>.
      It is needed at build-time, even when not intending to run the
      test suite. (Closes: #1029451)

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Mar 2024 19:53:25 +0000

gnome-remote-desktop (45.1-2) experimental; urgency=medium

  * Stop using debian/control.in and dh_gnome_clean
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 09:46:57 -0500

gnome-remote-desktop (45.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 24 Oct 2023 13:48:57 -0400

gnome-remote-desktop (45.0-1) experimental; urgency=medium

  * New upstream release (LP: #2038108)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Oct 2023 12:14:30 -0400

gnome-remote-desktop (45~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libei-dev
  * debian/control.in: Bump minimum mutter to 45~rc
  * Add debian/docs to install NEWS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 16:47:01 -0400

gnome-remote-desktop (45~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Switch libmutter dependency to 13 (GNOME 45)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 21 Aug 2023 15:28:36 -0400

gnome-remote-desktop (44.2-8) unstable; urgency=medium

  * Update Depends: libmutter-12-0 to libmutter-12-0t64 (Closes: #1068213)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 02 Apr 2024 13:56:27 -0400

gnome-remote-desktop (44.2-7) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Use debian/trixie, upstream/44.x branches
  * Stop using debian/control.in and dh_gnome_clean
  * Stop marking libgudev-1.0-dev as <!nocheck>.
    It is needed at build-time, even when not intending to run the
    test suite. (Closes: #1029451)

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Mar 2024 17:53:17 +0000

gnome-remote-desktop (44.2-6) unstable; urgency=medium

  * Team upload
  * Upload to unstable (part of transition: #1043144)

 -- Simon McVittie <smcv@debian.org>  Sun, 20 Aug 2023 22:43:15 +0100

gnome-remote-desktop (44.2-5) experimental; urgency=medium

  * debian/rules: Also ignore failures for newly enabled tests on mipsel & x32

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Aug 2023 08:17:49 -0400

gnome-remote-desktop (44.2-4) experimental; urgency=medium

  * Team upload
  * Merge packaging from unstable
  * Override a Lintian false-positive (see #1031037)

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Aug 2023 13:03:43 +0100

gnome-remote-desktop (43.4-2) unstable; urgency=medium

  * Team upload
  * d/control.in: Drop pipewire-media-session alternative dependency.
    pipewire-media-session is not going to be included in trixie
    (see #1030765), so wireplumber is the only option. The release team's
    autoremovals machinery only considers the preferred (first) dependency
    in an alternative-group, so this change is necessary to prevent
    autoremoval.
  * d/control.in, d/gbp.conf: Use debian/trixie packaging branch

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Aug 2023 10:49:07 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gnome-remote-desktop`.
